# Orders

## OR04 - Patch update orders

 - [PUT /api/orders](https://developer.mirakl.com/content/product/mmp/rest/front/openapi3/orders/or04.md): Description

Update orders information field by field: unspecified fields will not be updated. To remove the value for a field, send it with the 'null' value (not allowed for the required fields).You cannot use API OR04 to update customer-related information if the customer has been anonymized via API AN01.A maximum of 100 orders can be sent at once.


Call Frequency

Recommended usage: At each information update of one or multiple orders (for example: to modify the billing address)
Maximum usage: Once per minute, 100 orders per call
Read More

More contextIf the customer organization feature is activated, read this page

## OR11 - List orders with pagination

 - [GET /api/orders](https://developer.mirakl.com/content/product/mmp/rest/front/openapi3/orders/or11.md): Description

Returns a 400 Bad Request response if the limit of commercialIds, customerIds, offerIds or productSkus is exceeded.Pagination is enabled by default. For large requests, use asynchronous order export APIs OR13, OR14 and OR15 instead.


Call Frequency

Recommended usage: - Asynchronous: every 5 minutes - Synchronous: at each order page display
Maximum usage: - Asynchronous: once per minute - Synchronous: at each order page display
Read More

More context (Customer Care - Order status & details)More context (Displaying the order history to the customer)More context (Displaying order details & order follow-up)If the customer organization feature is activated, read this pagePagination

This resource supports offset pagination (see documentation)

Sort fields

sort field can have the following values:dateCreated (Default) - Sort by creation date, and then by order identifier (asc by default)

Localization

This resource supports locale parameter (see documentation)Localized output fields will be highlighted with an icon:

## OR07 - Update order line shipping origin

 - [PUT /api/orders/shipping_from](https://developer.mirakl.com/content/product/mmp/rest/front/openapi3/orders/or07.md): Description

Update shipping origin (shipping_from) information on order lines. A maximum of 100 order lines can be sent at once.


Call Frequency

Recommended usage: At each update of shipping origin on one or multiple order lines
Maximum usage: 60 per hour, 100 order lines per call

## OR13 - Export orders asynchronously

 - [POST /api/orders/async-export](https://developer.mirakl.com/content/product/mmp/rest/front/openapi3/orders/or13.md): Description

The API returns a tracking id to be used to query API OR14.Mirakl recommends to use API OR13 instead of API OR11 as it can handle very large volumes of data.You must give at least one date range filter: created, last updated date or refunds created date.API OR13 supports the chunk of the export file into multiple files in order to:respect a maximum megabyte weight using the megabytes_per_chunk parameter.respect a maximum amount of exported items using the items_per_chunk parameter.Only one export request can be created for all operator users, and one per partner.


Call Frequency

Recommended usage: - Differential: every 15 minutes
Maximum usage: - Differential: every 5 minutes - Full: every 24 hours
Localization

This resource supports locale parameter (see documentation)Localized output fields will be highlighted with an icon:

## OR14 - Get the status of an asynchronous order export.

 - [GET /api/orders/async-export/status/{tracking_id}](https://developer.mirakl.com/content/product/mmp/rest/front/openapi3/orders/or14.md): Description

Use this API to query the order export status after an API OR13 call.Until the export via API OR13 is complete, the status returned by API OR14 is PENDING.You must call API OR14 until you get the COMPLETED status which correspond to a completed and successful export from API OR13.The URLs in API OR14 response contain all the files from API OR13 export.Browse those urls and query them using the GET method.In case of error, the status is FAILED.In case of export canceled, the status is CANCELED.

## OR15 - Retrieve order export files once asynchronous export is complete (OR13).

 - [GET /dynamic-url/The+URL+is+retrieved+from+OR14+output/OR15](https://developer.mirakl.com/content/product/mmp/rest/front/openapi3/orders/or15.md): Description

Retrieve each chunk of an order export file via the URL generated once the asynchronous export is complete.

## OR21 - Accept or refuse order lines

 - [PUT /api/orders/{order_id}/accept](https://developer.mirakl.com/content/product/mmp/rest/front/openapi3/orders/or21.md): Description

Accept or refuse order lines in the WAITING_ACCEPTANCE status


Call Frequency

Recommended usage: At each new order on the Marketplace
Maximum usage: At each new order on the Marketplace

## OR23 - Update carrier tracking information for a specific order

 - [PUT /api/orders/{order_id}/tracking](https://developer.mirakl.com/content/product/mmp/rest/front/openapi3/orders/or23.md): Description

If the carrier is not registered, the complete tracking url can be provided.


Call Frequency

Recommended usage: At each order tracking information update (as soon as the seller gets the tracking number from the carrier)
Maximum usage: At each order tracking information update (as soon as the seller gets the tracking number from the carrier)
Read More

More context

## OR24 - Validate the shipment of an order

 - [PUT /api/orders/{order_id}/ship](https://developer.mirakl.com/content/product/mmp/rest/front/openapi3/orders/or24.md): Description

Validate the shipment of an order in the SHIPPING status


Call Frequency

Recommended usage: Each time the tracking number is entered (OR23)
Maximum usage: Each time the tracking number is entered (OR23)
Read More

More context

## OR29 - Perform a full cancelation of an order

 - [PUT /api/orders/{order_id}/cancel](https://developer.mirakl.com/content/product/mmp/rest/front/openapi3/orders/or29.md): Call Frequency

Recommended usage: At each order cancelation
Maximum usage: At each order cancelation

## OR30 - Perform cancelations on order lines

 - [PUT /api/orders/cancel](https://developer.mirakl.com/content/product/mmp/rest/front/openapi3/orders/or30.md): Description

If the Shop partial cancelation feature is enabled by Mirakl Support Team:    for PAY_ON_DELIVERY, PAY_ON_DUE_DATE or PAY_ON_SHIPMENT  workflows: shop can only cancel a non-debited order.    for NO_CUSTOMER_PAYMENT_CONFIRMATION workflow: shop can only cancel an unshipped order.


Call Frequency

Recommended usage: At each order (or order line) cancelation
Maximum usage: At each order (or order line) cancelation

## OR31 - Update the custom fields of an order and its order lines

 - [PUT /api/orders/{order_id}/additional_fields](https://developer.mirakl.com/content/product/mmp/rest/front/openapi3/orders/or31.md): Description

Only specified custom field values will be updated.In order to delete an custom field's value, set it to null or an empty string. Note that you may not delete the value of a required custom field value.Output will return information on the status of the update attempt by giving:    either all of the order and its order lines custom field values after the update    or in case of errors, the list of errors and the body of the initial call


Call Frequency

Recommended usage: Each time a custom field is updated on an order or on an order line
Maximum usage: Each time a custom field is updated on an order or on an order line

## OR51 - Get the evaluation of an order

 - [GET /api/orders/{order_id}/evaluation](https://developer.mirakl.com/content/product/mmp/rest/front/openapi3/orders/or51.md): Call Frequency

Recommended usage: On each evaluation page view
Maximum usage: On each evaluation page view
Read More

More contextLocalization

This resource supports locale parameter (see documentation)Localized output fields will be highlighted with an icon:

## OR72 - Lists order's documents

 - [GET /api/orders/documents](https://developer.mirakl.com/content/product/mmp/rest/front/openapi3/orders/or72.md): Description

Returns a list of all the documents available on the order


Call Frequency

Recommended usage: At each document list page display
Maximum usage: At each document list page display
Read More

More context

## OR73 - Download one or multiple documents attached to one or multiple orders

 - [GET /api/orders/documents/download](https://developer.mirakl.com/content/product/mmp/rest/front/openapi3/orders/or73.md): Description

   If a list of document identifiers is specified only these documents are downloaded.                  If more than one document id is specified, the documents will be wrapped in a ZIP archive           If only one document id is specified the document will not be zipped             If a list of order identifiers is specified, all documents from those orders are downloaded.   Use a list of order document type codes to retrieve specific types from those orders.   In this case, the output of the API will always be a ZIP archive even if there is only one document to retrieve.   When documents are retrieved, they're wrapped into a ZIP archive except when only one document id is specified. The tree structure of this archive is as follow:
documents-timestamp.zip
|
|__ order_id_x/
|   |__ foo.txt
|   |__ bar.txt
|   |__ baz.pdf
|
|__ order_id_y/
|   |__ image.png
|   |__ image(1).png



Call Frequency

Recommended usage: At each document download
Maximum usage: At each document download

## OR74 - Upload documents to attach to an order

 - [POST /api/orders/{order_id}/documents](https://developer.mirakl.com/content/product/mmp/rest/front/openapi3/orders/or74.md): Description


    Documents filenames must be distinct. Only documents of the following types are supported: csv, doc, xls, xlsx, ppt, pdf, odt, ods, odp, txt, rtf, png, jpg, gif, zpl, mov, mp4.
An order can have a maximum of 50 documents.
    In the API output we include only documents with errors. All other documents are successfully uploaded.

For system document types, there are specific restrictions :

    SYSTEM_DELIVERY_BILL/SYSTEM_SHIPMENT_DELIVERY_BILL : restricted to operator role.
    SYSTEM_MESSAGE_ATTACHMENT : cannot be directly uploaded to an order.




Call Frequency

Recommended usage: At each document upload on an order
Maximum usage: At each document upload on an order
Read More

More context

## OR75 - List all the order taxes available on the platform

 - [GET /api/orders/taxes](https://developer.mirakl.com/content/product/mmp/rest/front/openapi3/orders/or75.md): Call Frequency

Recommended usage: Once per day
Maximum usage: Once per day
Localization

This resource supports locale parameter (see documentation)Localized output fields will be highlighted with an icon:

## OR76 - Delete an order document

 - [DELETE /api/orders/documents/{document_id}](https://developer.mirakl.com/content/product/mmp/rest/front/openapi3/orders/or76.md): Call Frequency

Recommended usage: At each order document deletion
Maximum usage: At each order document deletion
Read More

More context

## OR12 - Get information about an order (deprecated)

 - [GET /api/orders/{order_id}](https://developer.mirakl.com/content/product/mmp/rest/front/openapi3/orders/or12.md): Deprecated endpoint

This API is going to be removed in a future update, please use OR11 with the query parameter 'order_ids' instead.


Call Frequency

Recommended usage: On each order page view
Maximum usage: On each order page view

## OR41 - List messages of an order (deprecated)

 - [GET /api/orders/{order_id}/messages](https://developer.mirakl.com/content/product/mmp/rest/front/openapi3/orders/or41.md): Deprecated endpoint

This API is going to be removed in a future update, please use M10 and M11 instead

Description

By default, all sent, received and unarchived message are listed


Call Frequency

Recommended usage: On each message page view
Maximum usage: On each message page view
Pagination

This resource supports offset pagination (see documentation)

Sort fields

sort field can have the following values:dateCreated (Default) - Sort by creation date (desc by default)

